Skip to navigation

Update organization provider

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Path parameters

organization_provider_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
npistring or nullOptional

The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.

is_renderingboolean or nullOptional
Whether the provider can be used to render services.
is_billingboolean or nullOptional
Whether the provider can be used to bill services.
first_namestring or nullOptional
The first name of the provider, if the provider is an individual.
last_namestring or nullOptional
The last name of the provider, if the provider is an individual.
organization_namestring or nullOptional
The name of the provider, if the provider is an organization.
provider_typeenum or nullOptional

Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.

Allowed values:
tax_idstring or nullOptional

If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.

taxonomy_codestring or nullOptional
A code designating classification and specialization.
license_typeenum or nullOptional
The type of license that the provider holds.
addresseslist of objects or nullOptional
The addresses associated with this provider.
employment_start_datestring or nullOptional
The employment start date for the provider.
employment_termination_datestring or nullOptional
The employment termination date for the provider.
qualificationslist of objects or nullOptional

Provider’s qualifications (medicare provider number, medicaid provider number, etc.)

Response

npistring

The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.

is_renderingboolean
Whether the provider can be used to render services.
is_billingboolean
Whether the provider can be used to bill services.
provider_typeenum

Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.

Allowed values:
license_typeenum
The type of license that the provider holds.
organization_provider_idstringformat: "uuid"

Auto-generated ID set on creation.

qualificationslist of objects

Qualification given to a provider (PTAN, Medicaid Provider Id etc.).

first_namestring or nullOptional
The first name of the provider, if the provider is an individual.
last_namestring or nullOptional
The last name of the provider, if the provider is an individual.
organization_namestring or nullOptional
The name of the provider, if the provider is an organization.
tax_idstring or nullOptional

If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.

taxonomy_codestring or nullOptional
A code designating classification and specialization.
addresseslist of objects or nullOptional
The addresses associated with this provider.
employment_start_datedate or nullOptional
The employment start date for the provider.
employment_termination_datedate or nullOptional
The employment termination date for the provider.

Errors

404
Not Found Error
422
Unprocessable Entity Error